Imports UTS_Core.UTSModule.Station

Public Class GridControlNodeAddCommand : Implements ICommand
    Private ReadOnly grd As StationPlanGrid
    Private ReadOnly startMoveRow As Integer
    Private ReadOnly nodes As List(Of RowNode)

    Sub New(grd As StationPlanGrid, startMoveRow As Integer, nodes As List(Of RowNode))
        Me.grd = grd
        Me.startMoveRow = startMoveRow
        Me.nodes = nodes
    End Sub

    Public Sub Redo() Implements ICommand.Redo
        grd.NodeAddChildCommand(startMoveRow, nodes)
    End Sub

    Public Sub Undo() Implements ICommand.Undo
        grd.NodeDeleteChildCommand(startMoveRow, nodes)
    End Sub
End Class
